Starting WinHand

WinBack Scratcher ver5.01 for Windows

Copyright(C)1997-2000 Masami Ikawa

You can customize your Windows by using this software. This software will change value of registry and some setting files. This software will provide various function. For example, you can change system icon (e.g. 'My Computer','Folder','Recycle Bin'). Basically, this software provide function Windows's standard function cannot change.


Configration

Environment

You have to prepare at least the following environment.

  • WinBack Scratcher ( This software )
  • The computer which have CPU over Pentium100MHz
  • Microsoft Windows95, Windows98, WindowsMe, WindowsNT4.0 or Windows2000
  • RAM (random access memory) of over 32MB
  • Disk with the free capacity of over 5MB
  • Monitor over 800x600 pixel

For WindowsNT4.0 user

Administrator authority is necessary to use WinBack Scratcher. Please use it after you give Administrator authority to your user. Consult system administrator in the case of the common environment such as a company.


Install of WinHand

Installation

If you re-install it or upgrade it, you can install it to same place.

Uninstallation

Start Control Panel, and choose the 'Add/Remove Programs', and double-click "WinBack Scratcher verX.X ...". Please remove the following files manually.

  • Setup.exe (Installer)
  • Setup.ini (installation information)

If necessary, remove backup files which WinBack Scratcher saved.


Backup Registry and Restore Registry

The backup of registry and restoration

Windows95/98

When you start WinBack Scratcher first, it will automatically execute backup of registry and various system files. When you need backup before applying various setting, please push 'Backup' button. In case that the installation directory of WinBack Scratcher is C:\WinBack Scratcher, the various backup files will create in C:\WinBack Scratcher\regback. WinBack Scratcher will save the following files:

  • c:\windows\system.dat
  • c:\windows\classes.dat (WindowsMe Only)
  • c:\windows\user.dat
  • c:\windows\profiles\(user)\user.dat
  • c:\windows\system.ini
  • c:\windows\win.ini
  • c:\autoexec.bat
  • c:\config.sys
  • c:\msdos.sys

Unfortunately, when you have to restore files because of trouble happened, please restore by the following procedure.

  1. Restart by DOS mode
  2. cd c:\windows
  3. attrib -h -r -s system.dat
  4. attrib -h -r -s user.dat
  5. copy c:\WinBack Scratcher\regback\system.dat c:\windows
  6. copy c:\WinBack Scratcher\regback\user.dat c:\windows
  7. copy c:\WinBack Scratcher\regback\(user).dat c:\windows\profiles\(user)
  8. attrib +h +r +s system.dat
  9. attrib +h +r +s user.dat
  10. Restart Windows

WindowsNT4.0

WinBack Scratcher does not support function of backup for WindowsNT. Please see technical documents or magazines.


Basis Using

How to use

WinBack Scratcher is classifying various setting items in each of the tabs. After you changed some setting of each tab, please push 'Apply' button.

Apply

This button apply various setting of WinBack Scratcher to Windows. Please push this button after changing each setting. Unless this button is pushed, WinBack Scratcher will not change the various setting such as registry.

Open

This button can open the setting file which saved by 'Save' button.

Save

This button can save current setting of WinBack Scratcher to the setting file. The setting of 'Uninstallation', 'Autorun' and 'New' will not save, because saving of these setting are meaningless.

Standard

This button can return to standard setting of Windows. The setting of 'Uninstallation', 'Autorun' and 'New' will not return, because returning of these setting are meaningless.

Backup

WinBack Scratcher will backup the following files in 'RegBack' folder within installed directory. (e.g. Windows directoy is c:\windows.)

  • C:\WINDOWS\SYSTEM.DAT
  • C:\WINDOWS\USER.DAT
  • C:\WINDOWS\PROFILES\(USER)\USER.DAT
  • C:\WINDOWS\SYSTEM.INI
  • C:\WINDOWS\WIN.INI
  • C:\AUTOEXEC.BAT
  • C:\CONFIG.SYS
  • C:\MSDOS.SYS
  • C:\LOGO.SYS
  • C:\WINDOWS\LOGOW.SYS
  • C:\WINDOWS\LOGOS.SYS

(Note) This function is not supported with WindowsNT4.0.


Icon

How to change icon

  1. Click on the top of the icon.
  2. If you click on 'My Computer', you can see all icons include in 'Explorer', because 'My Computer' icon include of 'c:\windows\exploer.exe'.
  3. Push '...' button
  4. Move to your favarite folder, and choose your iconfile or file, and then you can see icon list.
  5. Double-click the icon (or, choose icon and push 'OK' button)

Color of the icon

The color of the icon is 16 colors in the Windows standard. In case of Windows95 (not installed Plus!95), these settings cannot change. If you want to display 256 color icon, change this setting.


Desktop

Hide all icons on desktop

If you validate this setting, all icons (e.g. 'My Computer', 'Recycle Bin') on desktop will hide. However, if this setting is effective, the following minor problem may occur.

  • No menu will display when you right-click on desktop or start button
  • The autorun function of CD-ROM will be ineffective

In case of Windows98, if you use Web Page, you can realize same function.

Create 'Control Panel' icon on desktop

If you validate this setting, alias of 'Control Panel' will appear on desktop. This setting is ineffective with IE5.

Create 'Printers' icon on desktop

If you validate this setting, alias of 'Printers' will appear on desktop. This setting is ineffective with IE5.

Create 'Dial-Up Networking' icon on desktop

If you validate this setting, alias of 'Dial-Up Networking' will appear on desktop. This setting is effective only with Windows95 without IE4 or IE5.

Hide Inbox icon

If you validate this setting, 'Inbox' icon will hide on desktop.

Hide shortcut icon

When you create shortcut, the arrow will show on icon. This setting can hide this arrow.

Change position of wallpaper

This setting can change position of wallpaper. However, if Web Page is effective, this setting is ineffective.


Explorer

Run explorer when you double-click on 'My Computer'

When you double-click on 'My Computer', explorer will start.

Hide drives

If you validate this setting, drives hide within 'My Computer' or Explorer. However, 'Explorer' and 'Open' menu when right-click on start-button are disabled.

Display bitmap file as icon

If you validate this setting, all bitmap file display as icon within explorer. Windows98 have same function by Web Page.

Change wallpaper of toolbar

This setting can change wallpaper of toolbar in explorer. The size of 40x40 or 80x80 pixel is better.


Network and Recycle Bin

Netowork / Recycle Bin

Hide network neighborhood icon

If you validate this setting, network neighborhood icon will hide.

Hide entire network icon

If you validate this setting, 'Entire Network' icon in 'Network Neighborhood' will hide.

Hide workgroup icon

If you validate this setting, 'Workgroup' icon in 'Network Neighborhood' will hide.

Name of Recycle Bin

This setting can change name of 'Recycle Bin' (e.g. Trash).

Hide Recycle Bin icon

If you validate this setting, 'Recycle Bin' icon will hide.

Display Recycle Bin within 'My Computer'

If you validate this setting, 'Recycle Bin' display in 'My Computer' window.


Context Menu

Change icon of each folder

If you validate this setting, 'Change Icon ...' appear in context menu when you right-click on any folder. This function can change icon of each folder. However, this setting is effective with the following environment :

  • Windows95 + IE4.0 Desktop Update
  • Windows98
  • WindowsNT4.0 + IE4.0 Desktop Update
  • Windows2000
  • WindowsMe

This setting can change icon of drive (Hard-disk only) without above environment.

Open another window on folder

If you validate this setting, you can open another window on folder. However, if your environment had installed IE5.0, this setting will open with IE5.0. This symptom will improve by IE5.01.

Open non-associate files with following application

When you double-click non-associate files, you will see 'Select application' dialog. This setting can open with your favorite application (e.g. Notepad, Editor, Binary Editor).

When you right-click on all files, display above menu

This setting can display above menu when you right-click on all files, not only non-associate files. If you use Microsoft Office Toolbar, please annul this setting.

Enable to Dos-Prompt on each folder

This setting can start DOS prompt on each folder when you right-click on each folder. For example, if you right-click on c:\temp, Current directory is c:\temp within DOS prompt window.


ShellNew

New

When you right-click on dekstop, you can see 'New' item in context menu. When you install various application, application will create icon automatically within 'New'. So Windows waste time for displaying icon when you right-click on dekstop. This setting can remove these item in 'New'.


Window and Restriction

Window / Restriction

Enable to smooth scroll

If this setting is effective, PC will waste a little memory.

Disable animation when you minimized window

If you validate this setting, window's animation of minimizing or maximizing will stop. This will affect to your PC's performance and memory.

Arrange pull-down menu to right side

The pull-down menu arrange to left-side usually. This setting can arrange to right-side.

Display window by old style

If you want to hide 'Favorite' and 'Go' menu, please validate this setting. In case of Windows98, if this setting is effective, explorer will display without WEB style. If you validate this setting, you can select 'legacy Window style' only in folder option.

Disable saving window setting

Windows will store window's position and style every time. You can open same position and style according to this function. If you validate this setting, Windows will not store windows's position and style.

Restriction

If you validate this setting, you can restrict to Password, Display and Network within Contorol Panel.

Change password of WinBack Scratcher

If you set this setting, you have to enter password at starting WinBack Scratcher.


Internet Explorer

Change wallpaper of IE's toolbar

This setting can change wallpaper of IE5's toolbar. The size of 40x40 or 80x80 pixel is good.

Change animation logo

This setting can change animation logo on Internet Explorer. The bitmap arranged lengthwise frame of 26x26 pixel is suitable. The sample bitmap file is exist in installed directory.

Title of Internet Explorer

The title of IE4.x or IE5.x is fixed on 'Microsoft Internet Explorer'. This setting can change this title.

Search Page by 'find xxx' or '? xxx'

Usually, when you enter 'find xxx' or '? xxx' on IE, IE will jump to Microsoft's Search page. This setting can change (e.g. Excite Site).

Password of anonymousFTP

The standard setting is ieXXuser@. In case of FTP software, you will enter your E-mail address on AnonymousFTP. However, IE cannot change this password. This setting can change password of Anonymous with IE.

Title of Outlook Express

The title of Outlook Express is fixed on 'Outlook Express'. This setting can change this title.


Start Menu

Menu Speed

This setting can change response time of start menu.

Create 'Control Panel' on Start Menu

If you validate this setting, you will see 'Control Panel' on Start Menu.

Create 'Printers' on Start Menu

If you validate this setting, you will see 'Printers' on Start Menu.

Create 'History' on Start Menu

If you validate this setting, you will see 'History' on Start Menu.

Disable item on Start Menu

  • 'Documents' can hide on Windows98 or Windows95/NT4.0 installed IE4's Desktop Update.
  • If you hide 'Run ...', one minor problem occur. When you enter local address in IE, error message display.
  • If you hide 'Setting->Control Panel', explorer cannot start by Windows key + 'E' key.
  • If you hide 'Setting->Folder Option', 'Tool->Internet Option' will hide.


Boot

Run WindowsGUI

If you annul this setting, MS-DOS will start when you turn on PC. However, enter 'Win', then WindowsGUI will start.

Display animation logo

If you annul this setting, starting logo will not display.

Display starting menu

If you validate this setting, starting menu will display before starting windows.

Time while display 'Starting Windows95 ...'

This setting can change displaying time of 'Starting Windows95' when turn on PC. In case of Windows98, this time is zero.

Starting logo

The starting logo is bitmap file. The regulation of this bitmap is 320x400 pixel and 256 colors.


Logon

Dialog message before logon

Before you logon (Ctrl+Alt+Del), you can display message box.

Disable display last logon user

Usually, last logon user will display in logon dialog. If you validate this setting, last logon user will not display.

(Note) If you validate setting of automatic login, please invalidate.

Automatic Logon

If you wish to logon with same user every time, set this setting. If you set user administrator authority not have, you cannot logon by another user. Because WinBack Scratcher require administrator authority. In this case, please push 'Shift' button while logon, then you can see logon dialog box.

Wallpaper when logon

You can change wallpaper at logon screen.

Background color when logon

You can change background color when you logon.

Remove files within temp folder when logon

If you validate this setting, the files within temp folder will remove. Usually, in case of Windows95 or Windows98, this folder is c:\windows\temp, in case of WindowsNT, this folder is c:\temp.

Remove history list of Documents on start menu

If you validate this setting, history list will be remove when you logon. This history list is shortcut of files you used. These shortcut store within c:\windows\recent or c:\windows\profiles\(user)\recent.

String of find condition

This setting can remove history of string of find condition.

String of 'Run ...'

This setting can remove history of string of 'Run ...'.


Shut Down

Disable 'Shut Down' in logon dialog box

This setting can disable 'Shut Down' in logon dialog box. Accordingly, you cannot shut down without logon.

Poweroff when Shut Down

All PC cannot poweroff. If you cannot poweroff, you need to get newer HAL(Hardware Abstraction Layer).

Shutting Logo

The shutting logo is bitmap file. The regulation of this bitmap is 320x400 pixel and 256 colors.


MS-DOS

Disable MS-DOS Prompt

If you validate this setting, you cannot use MS-DOS. If you start MS-DOS, error message will appear.

Disable single MS-DOS mode

'Restart MS-DOS mode' item hide on menu after you select 'Shut Down'.

Make bright MS-DOS prompt, change background color and character color

Usually, background color is black and character color is dark white. This setting can change these setting.


Performance

Remove DoubleSpace/DriveSpace from memory

Even if you do not use DriveSpace, Windows will load driver into memory.

Size of Disk Cache

If you use more than five application simultaneously
Memory(MB) | Min. | Max.
16 | 1 | 4
24 | 1 | 4
32 | 2 | 6
48 | 2 | 10
56 | 2 | 12
64 | 2 | 20
If you use less than three application simultaneously
Memory(MB) | Min. | Max.
16 | 3 | 3
24 | 3 | 3
32 | 4 | 4
48 | 4 | 4
56 | 6 | 6
64 | 10 | 10


System

Registration

This setting can change registration information of Windows.

Output the following files, when fault occur

When fault occur, log will output to file you indicate.

Install Path

If you change install path, you don't need to set CD-ROM when you change setting (e.g. network, new hardware).


Uninstall

When you remove files without 'Add/Remove software', entry will remain within this window. In this case, you can remove entry forcely within 'Add/Remove Programs'.


Autorun

The application that automatically execute without AUTOEXEC is exist. These autorun information store in registry. This setting can remove these autorun setting.


File Cleaner

This tool have no backup function. Please confirm before removing.

Backup file

This is backup file of other application. Usually, extension is 'BAK'', 'OLD' or '$*'.

Temporary File

This is temporary file that other application software use. Usually, these file will remove automatically after application software terminated. However, some files will remain when application software fault. Usually, extension is '~*' or 'TMP'.

Recent file

This is shortcut file that Windows create automatically.

Cache file of Windows Help

This is cache file that Windows create automatically when you open help file. If you remove this cache file, Windows will create this cache file automatically when you open help file. Accordingly, removing will be safe.

Text files within Windows folder

This is text files within Windows folder. These files describe information of Windows.

Cruster files

The scandisk program will store to file when find destroyed cluster. Usually, This files is useless without special tool.

MSCREATE.DIR

This files are zero byte. These files are created by installation of Microsoft products.


Keyboard Cleaner

Please use this tool in case that you want to clean while you use PC.


Mouse Cleaner

Please use this tool in case that you want to clean while you use PC.


FAQ

Display speed of icon is slower than before

Windows display icon from icon cache file. WinBack Scratcher will reset this cache file when you change icon. Then, Windows will store to cache file again. Accordingly, you feel slower than before.


LIMITED WARRANTY

THIS PROGRAM AND ACCOMPANYING WRITTEN MATERIALS ARE PROVIDED "AS IS" WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. NEITHER THE AUTHOR NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION OR DELIVERY OF THIS PRODUCT SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SUCH PRODUCT EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

COPYRIGHT

WinBack Scratcher is owned and licensed exclusively by Masami Ikawa. Copyright (C) 1997-2000 Masami Ikawa All rights reserved. Reverse-engineering or modifying this software is strictly prohibited.


Support

Official Site : WindowsHouse (http://www.asahi-net.or.jp/~vr4m-ikw/)

If you have any question or request, please send e-mail to my address (vr4m-ikw@asahi-net.or.jp) .


Thanks

Thanks for following person.

  • Touru Sugimoto ( Beta Tester )
  • Tomio Sumida ( Beta Tester )
  • Yuuki ( Information donner ) http://www.yuuki.com
  • Kenji ( Information donner ) http://www.terra.dti.ne.jp/~ken-ji

And, Thanks for many many users of WinBack Scratcher in Japan.


History

History of WinBack Scratcher

ver5.01

  • Localize english with WinBack Scratcher Japanese Edition


Menu

はじめに
動作環境
インストール
バックアップと復元

基本的な使い方
アイコン
デスクトップ
エクスプローラ
ネットワーク/ごみ箱
右クリックメニュー
新規作成
ウィンドウ/制限
インタネットエクスプローラ
スタートメニュー
ブート関連
ログオン関連
シャットダウン
MS-DOS
パフォーマンス
システム
アンインストール
自動実行

不要ファイル掃除機
キーボード掃除機
マウス掃除機

ＦＡＱ
著作権、免責事項
謝辞
サポート
改版履歴